curl -X GET https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q")
request = Net::HTTP::Get.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Subscription list fetched successfully",
"current_page": 1,
"total_pages": 1,
"total_items": 1,
"page_size": 10,
"data": [
{
"id": 2,
"client_id": "1",
"customer_id": "cus_hkdmgcfzjhhmn1t6osi",
"amount": "20.50",
"frequency": "monthly",
"start_date": "2026-05-13T00:00:00.000Z",
"next_charge_date": "2026-06-13T00:00:00.000Z",
"last_charge_date": "2026-05-13T11:55:32.000Z",
"status": "active",
"retry_count": 0,
"max_retries": 3,
"currency": "AUD",
"remarks": null,
"deleted_at": null,
"created_at": "2026-05-13T11:53:32.000Z",
"updated_at": "2026-05-13T11:55:32.000Z"
}
]
}
Subscriptions
List subscriptions
The List Subscriptions endpoint is used to retrieve a list of all subscriptions.
GET
/
subscriptions
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q")
request = Net::HTTP::Get.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Subscription list fetched successfully",
"current_page": 1,
"total_pages": 1,
"total_items": 1,
"page_size": 10,
"data": [
{
"id": 2,
"client_id": "1",
"customer_id": "cus_hkdmgcfzjhhmn1t6osi",
"amount": "20.50",
"frequency": "monthly",
"start_date": "2026-05-13T00:00:00.000Z",
"next_charge_date": "2026-06-13T00:00:00.000Z",
"last_charge_date": "2026-05-13T11:55:32.000Z",
"status": "active",
"retry_count": 0,
"max_retries": 3,
"currency": "AUD",
"remarks": null,
"deleted_at": null,
"created_at": "2026-05-13T11:53:32.000Z",
"updated_at": "2026-05-13T11:55:32.000Z"
}
]
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Query Parameters
number
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
string
A cursor for pagination. An object ID defining your place in the list. For instance, if you get a list of subscriptions and need the next page, pass the last subscription ID here.
Response Body
The response for the Subscriptions List request is a JSON object with the following schema:| Field | Type | Description |
|---|---|---|
status | number | Indicates the status code of the subscriptions list request. |
message | string | Success message. |
current_page | number | The current page number. |
total_pages | number | The total number of pages. |
total_items | number | The total number of subscriptions. |
page_size | number | The number of subscriptions returned per page. |
dataarray | array | A list of subscription objects. |
↳id | string | Unique subscription ID (prefixed with sub_). |
↳customer_id | string | Customer identifier. |
↳amount | number | Subscription amount. |
↳frequency | string | Frequency (e.g. WEEKLY). |
↳status | string | Current status: ACTIVE, PAUSED, CANCELLED, INCOMPLETE, PAST_DUE. |
↳retry_count | number | Number of retry attempts. |
↳max_retries | number | Maximum number of retry attempts. |
↳remarks | string | Remarks about the subscription. |
↳deleted_at | ISO string | Deleted timestamp. |
↳created_at | ISO string | Created timestamp. |
↳updated_at | ISO string | Created timestamp. |
↳start_date | string | Timestamp of subscription start. |
↳currency | string | Currency (e.g. AUD). |
Response Codes
| Code | Description |
|---|---|
| 200 | If the request is successful, returns a list of subscriptions matching the pagination filters. |
| 400 | Bad Request. Invalid query parameter values. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 500 | Internal Server Error. |
curl -X GET https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json"
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q", {
method: "GET",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
"https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q")
request = Net::HTTP::Get.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q", nil)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://qa-payments.mygigsters.com.au/api/v1/subscriptions?limit=10&starting_after=sub_hkdm54ctjhaatgv0i7q");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"status": 200,
"message": "Subscription list fetched successfully",
"current_page": 1,
"total_pages": 1,
"total_items": 1,
"page_size": 10,
"data": [
{
"id": 2,
"client_id": "1",
"customer_id": "cus_hkdmgcfzjhhmn1t6osi",
"amount": "20.50",
"frequency": "monthly",
"start_date": "2026-05-13T00:00:00.000Z",
"next_charge_date": "2026-06-13T00:00:00.000Z",
"last_charge_date": "2026-05-13T11:55:32.000Z",
"status": "active",
"retry_count": 0,
"max_retries": 3,
"currency": "AUD",
"remarks": null,
"deleted_at": null,
"created_at": "2026-05-13T11:53:32.000Z",
"updated_at": "2026-05-13T11:55:32.000Z"
}
]
}
Last modified on November 10, 2026
Was this page helpful?
